Subject: bug#17598: Emacs pretest 24.3.91 - AIX - SIGSEV when customize

From: Paul Eggert <[email-masked]>
Date: Sat, 07 Jun 2014 12:58:01 -0700

Gilles PION wrote:
> I thing that the working combo could be
>
> "CC=xlc_r" and NO "--with-xpm"

I've reread this bug report and tried to codify all the feedback we've 
gotten, and have installed this as emacs-24 bzr 117216.  In particular:

* --without-xpm is now the default on AIX.

* Link with -lXpm if also linking with -lXaw, even if --without-xpm.

* Define _THREAD_SAFE on AIX (that's what xlc_r does).

I've tested this on AIX 7.1 but I can't easily test X11 so please give 
it a try when you have the chance.